## muparser 1.28

=== Makefile ===
# =========================================================================
#     This makefile was generated by
#     Bakefile 0.2.1 (http://bakefile.sourceforge.net)
#     Do not modify, all changes will be overwritten!
# =========================================================================




prefix = /usr/local
exec_prefix = ${prefix}
INSTALL = /usr/bin/install -c
SHARED_LD_CXX = $(CXX) -shared -fPIC -o
LIBEXT = .a
LIBPREFIX = lib
SO_SUFFIX = so
DLLIMP_SUFFIX = so
EXEEXT = 
LN_S = ln -s
SETFILE = 
PIC_FLAG = -fPIC -DPIC
SONAME_FLAG = -Wl,-soname,
STRIP = strip
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_DIR = $(INSTALL) -d
BK_DEPS = /home/user/muparser_v128/bk-deps
srcdir = .
top_builddir = .
libdir = ${exec_prefix}/lib
DLLPREFIX = lib
LIBS = 
AR = ar
AROPTIONS = rcu
RANLIB = ranlib
CXX = g++
CXXFLAGS =  -O2
CPPFLAGS = 
LDFLAGS = 

### Variables: ###

DESTDIR = 
MUPARSER_LIB_CXXFLAGS = $(____DEBUG) $(____SHARED) $(____SHARED_0) \
	-I$(srcdir)/include $(CPPFLAGS) $(CXXFLAGS)
MUPARSER_LIB_OBJECTS =  \
	muParser_lib_muParserBytecode.o \
	muParser_lib_muParserTest.o \
	muParser_lib_muParser.o \
	muParser_lib_muParserDLL.o \
	muParser_lib_muParserInt.o \
	muParser_lib_muParserTokenReader.o \
	muParser_lib_muParserError.o \
	muParser_lib_muParserCallback.o \
	muParser_lib_muParserBase.o
MUPARSER_LIB_HEADERS =  \
	include/muParserError.h \
	include/muParserFixes.h \
	include/muParserStack.h \
	include/muParserBytecode.h \
	include/muParserToken.h \
	include/muParserBase.h \
	include/muParserTest.h \
	include/muParserTokenReader.h \
	include/muParserCallback.h \
	include/muParser.h \
	include/muParserDLL.h \
	include/muParserDef.h \
	include/muParserInt.h
MUPARSER_DLL_CXXFLAGS = $(____DEBUG) $(____SHARED) $(____SHARED_0) \
	-I$(srcdir)/include $(PIC_FLAG) $(CPPFLAGS) $(CXXFLAGS)
MUPARSER_DLL_OBJECTS =  \
	muParser_dll_muParserBytecode.o \
	muParser_dll_muParserTest.o \
	muParser_dll_muParser.o \
	muParser_dll_muParserDLL.o \
	muParser_dll_muParserInt.o \
	muParser_dll_muParserTokenReader.o \
	muParser_dll_muParserError.o \
	muParser_dll_muParserCallback.o \
	muParser_dll_muParserBase.o
MUPARSER_DLL_HEADERS =  \
	include/muParserError.h \
	include/muParserFixes.h \
	include/muParserStack.h \
	include/muParserBytecode.h \
	include/muParserToken.h \
	include/muParserBase.h \
	include/muParserTest.h \
	include/muParserTokenReader.h \
	include/muParserCallback.h \
	include/muParser.h \
	include/muParserDLL.h \
	include/muParserDef.h \
	include/muParserInt.h
EXAMPLE1_CXXFLAGS = $(____DEBUG) -I$(srcdir)/include $(CPPFLAGS) $(CXXFLAGS)
EXAMPLE1_OBJECTS =  \
	example1_Example1.o

### Conditionally set variables: ###

#CXXC = $(CXX)
CXXC = $(BK_DEPS) $(CXX)
DEBUG_BUILD_POSTFIX = 
#DEBUG_BUILD_POSTFIX = d
#__muParser_lib___depname = \
#	$(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(LIBEXT)
#__install_muParser_lib___depname = install_muParser_lib
#__uninstall_muParser_lib___depname = uninstall_muParser_lib
#__install_muParser_lib_headers___depname = \
#	install_muParser_lib_headers
#__uninstall_muParser_lib_headers___depname = \
#	uninstall_muParser_lib_headers
COND_SHARED_1___muParser_dll___depname = \
	$(top_builddir)/lib/$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3)
__muParser_dll___depname = $(COND_SHARED_1___muParser_dll___depname)
__install_muParser_dll___depname = install_muParser_dll
__uninstall_muParser_dll___depname = uninstall_muParser_dll
COND_PLATFORM_MACOSX_1___muParser_dll___macinstnamecmd = -install_name \
	$(libdir)/$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2)
#__muParser_dll___macinstnamecmd = $(COND_PLATFORM_MACOSX_1___muParser_dll___macinstnamecmd)
__install_muParser_dll_headers___depname = \
	install_muParser_dll_headers
__uninstall_muParser_dll_headers___depname = \
	uninstall_muParser_dll_headers
COND_PLATFORM_OS2_1___muParser_dll___importlib = -import \
	$(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX)
#__muParser_dll___importlib = $(COND_PLATFORM_OS2_1___muParser_dll___importlib)
COND_WINDOWS_IMPLIB_1___muParser_dll___importlib = \
	-Wl,--out-implib=$(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX)
#__muParser_dll___importlib = $(COND_WINDOWS_IMPLIB_1___muParser_dll___importlib)
__muParser_dll___targetsuf2 \
	= .$(SO_SUFFIX).0
#__muParser_dll___targetsuf2 \
#	= .0.$(SO_SUFFIX)
#__muParser_dll___targetsuf2 = .$(SO_SUFFIX)
__muParser_dll___targetsuf3 \
	= \
	.$(SO_SUFFIX).0.0.0
#__muParser_dll___targetsuf3 \
#	= .0.0.0.$(SO_SUFFIX)
#__muParser_dll___targetsuf3 \
#	= -0.$(SO_SUFFIX)
#__muParser_dll___targetsuf3 = .$(SO_SUFFIX)
COND_USE_SOVERLINUX_1___muParser_dll___soname_flags = \
	$(SONAME_FLAG)$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2)
__muParser_dll___soname_flags = $(COND_USE_SOVERLINUX_1___muParser_dll___soname_flags)
COND_USE_SOVERSOLARIS_1___muParser_dll___soname_flags = \
	$(SONAME_FLAG)$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3)
#__muParser_dll___soname_flags = $(COND_USE_SOVERSOLARIS_1___muParser_dll___soname_flags)
COND_USE_SOSYMLINKS_1___muParser_dll___so_symlinks_cmd = (cd \
	$(top_builddir)/lib/; rm -f \
	$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX) \
	$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2); \
	$(LN_S) \
	$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3) \
	$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2); \
	$(LN_S) \
	$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2) \
	$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX))
__muParser_dll___so_symlinks_cmd = $(COND_USE_SOSYMLINKS_1___muParser_dll___so_symlinks_cmd)
COND_USE_SOSYMLINKS_1___muParser_dll___so_symlinks_inst_cmd = rm -f \
	$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX) \
	$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2); \
	$(LN_S) \
	$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3) \
	$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2); \
	$(LN_S) \
	$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2) \
	$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX)
__muParser_dll___so_symlinks_inst_cmd = $(COND_USE_SOSYMLINKS_1___muParser_dll___so_symlinks_inst_cmd)
COND_USE_SOSYMLINKS_1___muParser_dll___so_symlinks_uninst_cmd = rm -f \
	$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2) \
	$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX)
__muParser_dll___so_symlinks_uninst_cmd = $(COND_USE_SOSYMLINKS_1___muParser_dll___so_symlinks_uninst_cmd)
#__muParser_dll___macver = \
#	-compatibility_version 1 -current_version 1
__example1___depname = \
	$(top_builddir)/samples/example1/example1$(EXEEXT)
#__example1___mac_setfilecmd = \
#	$(SETFILE) -t APPL \
#	$(top_builddir)/samples/example1/example1$(EXEEXT)
#____SHARED = 
____SHARED = -DMUPARSER_DLL
#____SHARED_0 = 
____SHARED_0 = -DMUPARSERLIB_EXPORTS
____DEBUG = -DNDEBUG
#____DEBUG = 

### Targets: ###

all: $(__muParser_lib___depname) $(__muParser_dll___depname) $(__example1___depname)

install: all $(__install_muParser_lib___depname) $(__install_muParser_lib_headers___depname) $(__install_muParser_dll___depname) $(__install_muParser_dll_headers___depname)
	$(INSTALL_DIR) $(libdir)/pkgconfig
	$(INSTALL_DATA) build/autoconf/muparser.pc $(libdir)/pkgconfig

uninstall: $(__uninstall_muParser_lib___depname) $(__uninstall_muParser_lib_headers___depname) $(__uninstall_muParser_dll___depname) $(__uninstall_muParser_dll_headers___depname)

install-strip: install
	$(STRIP) $(DESTDIR)$(libdir)/$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3)

clean: 
	rm -rf ./.deps ./.pch
	rm -f ./*.o
	rm -f $(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(LIBEXT)
	rm -f $(top_builddir)/lib/$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3)
	rm -f $(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX)
	rm -f $(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX) $(top_builddir)/lib/$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf2)
	rm -f $(top_builddir)/samples/example1/example1$(EXEEXT)

distclean: clean
	rm -f config.cache config.log config.status bk-deps bk-make-pch shared-ld-sh Makefile
	rm -f build/autoconf/muparser.pc

#$(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(LIBEXT): $(MUPARSER_LIB_OBJECTS)
#	rm -f $@
#	$(AR) $(AROPTIONS) $@ $(MUPARSER_LIB_OBJECTS)
#	$(RANLIB) $@

#install_muParser_lib: 
#	$(INSTALL_DIR) $(DESTDIR)$(libdir)
#	$(INSTALL_DATA) $(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(LIBEXT) $(DESTDIR)$(libdir)

#uninstall_muParser_lib: 
#	rm -f $(DESTDIR)$(libdir)/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(LIBEXT)

#install_muParser_lib_headers: 
#	$(INSTALL_DIR) $(DESTDIR)$(prefix)
#	for f in $(MUPARSER_LIB_HEADERS); do \
#	if test ! -d $(DESTDIR)$(prefix)/`dirname $$f` ; then \
#	$(INSTALL_DIR) $(DESTDIR)$(prefix)/`dirname $$f`; \
#	fi; \
#	$(INSTALL_DATA) $(srcdir)/$$f $(DESTDIR)$(prefix)/$$f; \
#	done

#uninstall_muParser_lib_headers: 
#	for f in $(MUPARSER_LIB_HEADERS); do \
#	rm -f $(DESTDIR)$(prefix)/$$f; \
#	done

$(top_builddir)/lib/$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3): $(MUPARSER_DLL_OBJECTS)
	$(SHARED_LD_CXX) $@ $(MUPARSER_DLL_OBJECTS) $(LDFLAGS)  $(__muParser_dll___macinstnamecmd) $(__muParser_dll___importlib) $(__muParser_dll___soname_flags) $(__muParser_dll___macver)  $(LIBS)
	
	$(__muParser_dll___so_symlinks_cmd)

install_muParser_dll: 
	$(INSTALL_DIR) $(DESTDIR)$(libdir)
	$(INSTALL_DATA) $(top_builddir)/lib/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX) $(DESTDIR)$(libdir)
	$(INSTALL_PROGRAM) $(top_builddir)/lib/$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3) $(DESTDIR)$(libdir)
	(cd $(DESTDIR)$(libdir) ; $(__muParser_dll___so_symlinks_inst_cmd))

uninstall_muParser_dll: 
	rm -f $(DESTDIR)$(libdir)/$(LIBPREFIX)muparser$(DEBUG_BUILD_POSTFIX).$(DLLIMP_SUFFIX)
	rm -f $(DESTDIR)$(libdir)/$(DLLPREFIX)muparser$(DEBUG_BUILD_POSTFIX)$(__muParser_dll___targetsuf3)
	(cd $(DESTDIR)$(libdir) ; $(__muParser_dll___so_symlinks_uninst_cmd))

install_muParser_dll_headers: 
	$(INSTALL_DIR) $(DESTDIR)$(prefix)
	for f in $(MUPARSER_DLL_HEADERS); do \
	if test ! -d $(DESTDIR)$(prefix)/`dirname $$f` ; then \
	$(INSTALL_DIR) $(DESTDIR)$(prefix)/`dirname $$f`; \
	fi; \
	$(INSTALL_DATA) $(srcdir)/$$f $(DESTDIR)$(prefix)/$$f; \
	done

uninstall_muParser_dll_headers: 
	for f in $(MUPARSER_DLL_HEADERS); do \
	rm -f $(DESTDIR)$(prefix)/$$f; \
	done

$(top_builddir)/samples/example1/example1$(EXEEXT): $(EXAMPLE1_OBJECTS) $(__muParser_lib___depname)
	$(CXX) -o $@ $(EXAMPLE1_OBJECTS) -L$(top_builddir)/lib $(LDFLAGS)  -L$(srcdir)/lib  $(LIBS) -lmuparser$(DEBUG_BUILD_POSTFIX)
	
	$(__example1___mac_setfilecmd)

lib: $(__muParser_lib___depname) $(__muParser_dll___depname)

samples: $(__example1___depname)

documentation: 
	( cd $(srcdir)/docs && doxygen )

muParser_lib_muParserBytecode.o: $(srcdir)/src/muParserBytecode.cpp
	$(CXXC) -c -o $@ $(MUPARSER_LIB_CXXFLAGS) $(srcdir)/src/muParserBytecode.cpp

muParser_lib_muParserTest.o: $(srcdir)/src/muParserTest.cpp
	$(CXXC) -c -o $@ $(MUPARSER_LIB_CXXFLAGS) $(srcdir)/src/muParserTest.cpp

muParser_lib_muParser.o: $(srcdir)/src/muParser.cpp
	$(CXXC) -c -o $@ $(MUPARSER_LIB_CXXFLAGS) $(srcdir)/src/muParser.cpp

muParser_lib_muParserDLL.o: $(srcdir)/src/muParserDLL.cpp
	$(CXXC) -c -o $@ $(MUPARSER_LIB_CXXFLAGS) $(srcdir)/src/muParserDLL.cpp

muParser_lib_muParserInt.o: $(srcdir)/src/muParserInt.cpp
	$(CXXC) -c -o $@ $(MUPARSER_LIB_CXXFLAGS) $(srcdir)/src/muParserInt.cpp

muParser_lib_muParserTokenReader.o: $(srcdir)/src/muParserTokenReader.cpp

## muparser 1.32

=== debian/changelog ===
muparser (1.32-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.8.4
  * Add misc dependency
  * Switch to dpkg-source 3.0 (quilt) format

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 13 Apr 2010 22:09:31 +0200

muparser (1.30-1) unstable; urgency=low

  [ Gudjon I. Gudjonsson ]
  * New upstream release
  * Bump standards version to 3.8.3, no changes needed
  * Remove patch 01_fix_ftbfs_gcc4.3.diff, not needed anymore
  * Remove quilt dependency, no patces.
  * Add Vcs fields for debian-science
  * Copy config.{sub,guess} to build/autoconf at build time (Closes: 536116)

  [ Andreas Tille ]
  * Group maintenance in Debian Science tesm, added myself as Uploader
  * debian/control: library package inherits section from source
  * debian/copyright: s/(C)/©/
  * mv debian/muparser.doc-base debian/libmuparser-doc.doc-base
    (doc-base works per binary package
  * debian/libmuparser-doc.doc-base:
    - Fixed Spacing
    - Section: Science/Mathematics (according doc-base manual section 2.3.3)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Nov 2009 21:33:02 +0100

muparser (1.28-3) unstable; urgency=low

  * Fix prefix in rules file. (Closes: #518470)
  * Bump Standards-Version to 3.8.0, no changes needed.
  * Bump compat/debhelper to 7.
  * Fix watch file.
  * Change from dh_clean -k to dh_prep.
  * Add version to Debian packaging license, GPL v2.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 07 Mar 2009 11:00:05 +0100

muparser (1.28-2) unstable; urgency=low

  * Add a patch to fix compilation with gcc-4.3. (Closes: #455642)
  * Bump Standards-Version to 3.7.3.
  * Add a watch file.
  * Use Homepage field.
  * Bump compat/debhelper to 6.
  * Build with --as-needed linker flag.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 27 Jan 2008 22:59:01 +0100

muparser (1.28-1) unstable; urgency=low

  * New upstream release.
  * Switch to quilt patch system.
  * Replace deprecated Source-Version by binary:Version.
  * Add some configure options:
    * --enable-shared=yes
    * --enable-samples=no
    * --enable-debug=no

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 29 Jul 2007 15:23:14 +0200

muparser (1.27-1) unstable; urgency=low

  * Initial release (Closes: #408546)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 27 Dec 2006 17:13:11 +0100

=== debian/control ===
Source: muparser
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev
Standards-Version: 3.8.4
Section: libs
Homepage: http://muparser.sourceforge.net
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/muparser/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/muparser/trunk
DM-Upload-Allowed: yes

Package: libmuparser-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libmuparser0 (= ${binary:Version})
Description: fast mathematical expressions parse library (development)
 muParser is a high performance mathematical parser library, written in pure
 C++. It is based on transforming an expression into a bytecode and
 precalculating constant parts of it.
 .
 This package contains the development files.

Package: libmuparser0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast mathematical expressions parser library (runtime)
 muParser is a high performance mathematical parser library, written in pure
 C++. It is based on transforming an expression into a bytecode and
 precalculating constant parts of it.
 .
 This package contains the files necessary for running applications that use
 the muParser library.

Package: libmuparser-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: fast mathematical expressions parser library (documentation)
 muParser is a high performance mathematical parser library, written in pure
 C++. It is based on transforming an expression into a bytecode and
 precalculating constant parts of it.
 .
 This package contains the documentation for muParser.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

version=0.0.0
major=0

config.status:
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub build/autoconf/config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess build/autoconf/config.guess
endif
	dh_testdir

	./configure \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="-Wl,--no-undefined -Wl,--as-needed" \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--includedir="\$${prefix}/include/muParser" \
		--mandir="\$${prefix}/share/man" \
		--infodir="\$${prefix}/share/info" \
		--sysconfdir=/etc \
		--localstatedir=/var \
		--libexecdir="\$${prefix}/lib/muparser" \
		--disable-maintainer-mode \
		--disable-dependency-tracking \
		--srcdir=. \
		--docdir="\$${prefix}/share/doc/libmuparser-doc" \
		--enable-shared=yes \
		--enable-samples=no \
		--enable-debug=no

build: build-stamp
build-stamp:  config.status
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f build/autoconf/config.*
	rm -f config.*

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) prefix=$(CURDIR)/debian/tmp/usr install

	#Install docs
	mkdir -p debian/tmp/usr/share/doc/libmuparser-doc
	cp -a samples docs/html debian/tmp/usr/share/doc/libmuparser-doc

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changes.txt
	dh_installdocs Credits.txt
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress --exclude=.cpp --exclude=.h --exclude=.resX
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://sf.net/muparser/muparser_v(.*)\.tar\.gz

## muparser 1.34

=== debian/changelog ===
muparser (1.34-2) unstable; urgency=low

  * Debian specefic SONAME libmuparser.so.0debian1 until upstream resets
    versions after next release (Closes: #606120)
    - Binary package renamed libmuparsers0debian1, and moved to optional
      priority
  * Moved to Vcs-Git
  * added myself (showard) to uploaders

 -- Scott Howard <showard@debian.org>  Thu, 21 Apr 2011 23:34:00 -0400

muparser (1.34-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.1
  * Switch to dpkg-source 3.0 (quilt) format

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 05 Dec 2010 13:13:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Priority: extra
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
- Andreas Tille <tille@debian.org>
+ Andreas Tille <tille@debian.org>, Scott Howard <showard@debian.org>
 Build-Depends: debhelper (>= 7), autotools-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Section: libs
 Homepage: http://muparser.sourceforge.net
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/muparser/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/muparser/trunk
+Vcs-Git: git://git.debian.org/debian-science/packages/muparser.git
+Vcs-Browser: http://git.debian.org/?p=debian-science/packages/muparser.git
 DM-Upload-Allowed: yes
 
 Package: libmuparser-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libmuparser0 (= ${binary:Version})
+Depends: ${misc:Depends}, libmuparser0debian1 (= ${binary:Version})
 Description: fast mathematical expressions parse library (development)
  muParser is a high performance mathematical parser library, written in pure
  C++. It is based on transforming an expression into a bytecode and
@@ -22,7 +22,8 @@
  .
  This package contains the development files.
 
-Package: libmuparser0
+Package: libmuparser0debian1
+Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: fast mathematical expressions parser library (runtime)

## muparser 2.1.0

=== debian/changelog ===
muparser (2.1.0-2) experimental; urgency=low

  * Fix FTBFS on GNU/Hurd (Closes: #533817).
    debian/patches/FTBFS_hurd.patch

 -- Scott Howard <showard@debian.org>  Sun, 08 Jan 2012 17:55:15 -0500

muparser (2.1.0-1) experimental; urgency=low

  * New upstream release, updated debian/watch
    - soname reset to "2", previously it was "0" for all releases
  * Corrected include directory in pkgconfig file (LP: #418081)

 -- Scott Howard <showard@debian.org>  Mon, 19 Dec 2011 18:23:41 -0500

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
  Andreas Tille <tille@debian.org>, Scott Howard <showard@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50~), automake
+Standards-Version: 3.9.2
 Section: libs
 Homepage: http://muparser.sourceforge.net
 Vcs-Git: git://git.debian.org/debian-science/packages/muparser.git
@@ -14,7 +14,7 @@
 Package: libmuparser-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libmuparser0debian1 (= ${binary:Version})
+Depends: ${misc:Depends}, libmuparser2 (= ${binary:Version})
 Description: fast mathematical expressions parse library (development)
  muParser is a high performance mathematical parser library, written in pure
  C++. It is based on transforming an expression into a bytecode and
@@ -22,7 +22,7 @@
  .
  This package contains the development files.
 
-Package: libmuparser0debian1
+Package: libmuparser2
 Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	bash build/autoconf/acregen.sh
	cp /usr/share/misc/config.sub build/autoconf
	cp /usr/share/misc/config.guess build/autoconf
	dh_auto_configure

get-orig-source:
	uscan --repack --rename --download-current-version

## muparser 2.2.3

=== debian/changelog ===
muparser (2.2.3-3) unstable; urgency=low

  * Updated symbols
  * debian/patches/remove_google_tracking.patch, removes Google analytics
    tracking. Thanks lintian.
  * Debian S-V 3.9.5, no changes

 -- Scott Howard <showard@debian.org>  Fri, 10 Jan 2014 23:03:01 -0500

muparser (2.2.3-2) unstable; urgency=low

  * Merge to unstable from experimental
  * Updated symbols

 -- Scott Howard <showard@debian.org>  Mon, 28 Jan 2013 22:02:02 -0500

muparser (2.2.3-1) experimental; urgency=low

  * New upstream release
  * Updated symbols file. None of the missing symbols are members of
    mu::Parser
  * Bumped to debhelper 9
  * Enabled Multi-arch

 -- Scott Howard <showard@debian.org>  Sat, 26 Jan 2013 23:47:51 -0500

muparser (2.1.0-3) unstable; urgency=low

  * Merge from experimental to unstable.
  * Added symbols file, using pkgkde-symbolshelper to manage c++
    symbols
  * D S-V 3.9.3, no changes

 -- Scott Howard <showard@debian.org>  Mon, 26 Mar 2012 16:19:32 -0400

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
  Andreas Tille <tille@debian.org>, Scott Howard <showard@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), automake
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), automake
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://muparser.sourceforge.net
 Vcs-Git: git://git.debian.org/debian-science/packages/muparser.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/muparser.git
-DM-Upload-Allowed: yes
 
 Package: libmuparser-dev
 Section: libdevel
@@ -25,7 +24,9 @@
 Package: libmuparser2
 Priority: optional
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: fast mathematical expressions parser library (runtime)
  muParser is a high performance mathematical parser library, written in pure
  C++. It is based on transforming an expression into a bytecode and

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
-
+DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*-.*,\1,p')
 %:
 	dh $@
 
@@ -11,5 +11,11 @@
 	cp /usr/share/misc/config.guess build/autoconf
 	dh_auto_configure
 
+override_dh_makeshlibs:
+	#pkgkde-symbols helper is managing the symbols file.
+	#Sometimes we'll FTBFS on other arch's toolchains that export or miss
+	#symbols found by the local arch.
+	dh_makeshlibs -- -c0 -v$(DEB_UPSTREAM_VERSION)
+
 get-orig-source:
 	uscan --repack --rename --download-current-version

=== debian/watch ===
version=3
opts=uversionmangle=s/_/\./g \
http://sf.net/muparser/muparser_v(.*)\.zip

## muparser 2.2.6.1+dfsg

=== CMakeLists.txt ===
# CMake based on work from @xantares
cmake_minimum_required (VERSION 3.1.0)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# By default, build in Release mode. Must appear before project() command
if (NOT DEFINED CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE Release CACHE STRING "Build type")
endif ()

project(muParserProject)

include(CTest)
enable_testing()

# Bump versions on release
set(MUPARSER_VERSION_MAJOR 2)
set(MUPARSER_VERSION_MINOR 2)
set(MUPARSER_VERSION_PATCH 6)
set(MUPARSER_VERSION ${MUPARSER_VERSION_MAJOR}.${MUPARSER_VERSION_MINOR}.${MUPARSER_VERSION_PATCH})

# Build options
option(ENABLE_SAMPLES "Build the samples" ON)
option(ENABLE_OPENMP "Enable OpenMP for multithreading" OFF)
option(BUILD_SHARED_LIBS "Build shared/static libs" ON)

if(ENABLE_OPENMP)
    find_package(OpenMP REQUIRED)
    set(CMAKE_CXX_FLAGS "${OpenMP_CXX_FLAGS} ${CMAKE_CXX_FLAGS}")
    set(CMAKE_SHARED_LIBRARY_CXX_FLAGS "${OpenMP_CXX_FLAGS} ${CMAKE_SHARED_LIBRARY_CXX_FLAGS}")
endif()


# Credit: https://stackoverflow.com/questions/2368811/how-to-set-warning-level-in-cmake/3818084
if(MSVC)
    # Force to always compile with W4
    if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
      string(REGEX REPLACE "/W[0-4]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
    else()
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
    endif()
elseif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
    # Update if necessary
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-long-long -pedantic")
endif()

include_directories("${CMAKE_SOURCE_DIR}/include")
add_library(muparser
    src/muParserBase.cpp
    src/muParserBytecode.cpp
    src/muParserCallback.cpp
    src/muParser.cpp
    src/muParserDLL.cpp
    src/muParserError.cpp
    src/muParserInt.cpp
    src/muParserTest.cpp
    src/muParserTokenReader.cpp
)

# this compiles the "DLL" interface (C API)
target_compile_definitions(muparser PRIVATE MUPARSER_DLL)

if (BUILD_SHARED_LIBS)
  target_compile_definitions(muparser PRIVATE MUPARSERLIB_EXPORTS)
else ()
  target_compile_definitions(muparser PUBLIC MUPARSER_STATIC)
endif()

if (CMAKE_BUILD_TYPE STREQUAL Debug)
  target_compile_definitions(muparser PRIVATE _DEBUG)
endif ()

if(ENABLE_OPENMP)
  target_compile_definitions(muparser PRIVATE MUP_USE_OPENMP)
endif()
set_target_properties(muparser PROPERTIES
    VERSION ${MUPARSER_VERSION}
    SOVERSION ${MUPARSER_VERSION_MAJOR}
)

# Install the export set for use with the install-tree
export(TARGETS muparser FILE "${CMAKE_BINARY_DIR}/muparser-targets.cmake")

if(ENABLE_SAMPLES)
  add_executable(example1 samples/example1/example1.cpp)
  target_link_libraries(example1 muparser)

  add_executable(example2 samples/example2/example2.c)
  target_link_libraries(example2 muparser)
endif()

# The GNUInstallDirs defines ${CMAKE_INSTALL_DATAROOTDIR}
# See https://cmake.org/cmake/help/latest/module/GNUInstallDirs.html
include (GNUInstallDirs)

install(TARGETS muparser
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT RuntimeLibraries
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Development
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT RuntimeLibraries
)

install(FILES
    include/muParserBase.h
    include/muParserBytecode.h
    include/muParserCallback.h
    include/muParserDef.h
    include/muParserDLL.h
    include/muParserError.h
    include/muParserFixes.h
    include/muParser.h
    include/muParserInt.h
    include/muParserStack.h
    include/muParserTemplateMagic.h
    include/muParserTest.h
    include/muParserToken.h
    include/muParserTokenReader.h
    DESTINATION include
    COMPONENT Development
)

# Define variables for the pkg-config file
set(PACKAGE_NAME muparser)
configure_file(
    "${CMAKE_SOURCE_DIR}/build/autoconf/muparser.pc.cmakein"
    "${CMAKE_BINARY_DIR}/muparser.pc"
    @ONLY
)
install(
    FILES "${CMAKE_BINARY_DIR}/muparser.pc"
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
)

=== debian/changelog ===
muparser (2.2.6.1+dfsg-1deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 12:14:08 +0800

muparser (2.2.6.1+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Scott Howard ]
  * Updated debian/watch

  [ Teemu Ikonen ]
  * New usptream release.

  [ Andreas Tille ]
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Drop useless get-orig-source target
  * Drop myself from Uploaders
  * Remove binary files from upstream source
  * Deactivate symbols file - no idea why dpkg-gensymbols entertains to
    create a broken diff on a freshly created symbols file which
    is renamed to symbols.deactivated

 -- Andreas Tille <tille@debian.org>  Sun, 13 Jan 2019 19:33:09 +0100

muparser (2.2.3-6) unstable; urgency=medium

  * Merge to unstable
    - Revert SONAME
  * debian/copyright format changed to DEP-5
  * Updated debian/libmuparser2v5.symbols

 -- Scott Howard <showard@debian.org>  Sun, 23 Aug 2015 09:50:36 -0400

muparser (2.2.3-5) experimental; urgency=medium

  * Bump SONAME for GCC 5 transition
    - updated symbols file
  * DSV 3.9.6, no changes

 -- Scott Howard <showard@debian.org>  Tue, 11 Aug 2015 14:45:08 -0400

muparser (2.2.3-4) unstable; urgency=medium

  * Use debian/rules to clean out privacy breaches

 -- Scott Howard <showard@debian.org>  Sun, 29 Jun 2014 09:38:49 -0400

=== debian/control ===
Source: muparser
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
           Scott Howard <showard@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 12~),
               automake
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/science-team/muparser
Vcs-Git: https://salsa.debian.org/science-team/muparser.git
Homepage: http://muparser.sourceforge.net

Package: libmuparser-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libmuparser2v5 (= ${binary:Version})
Description: fast mathematical expressions parse library (development)
 muParser is a high performance mathematical parser library, written in pure
 C++. It is based on transforming an expression into a bytecode and
 precalculating constant parts of it.
 .
 This package contains the development files.

Package: libmuparser2v5
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libmuparser2
Replaces: libmuparser2
Description: fast mathematical expressions parser library (runtime)
 muParser is a high performance mathematical parser library, written in pure
 C++. It is based on transforming an expression into a bytecode and
 precalculating constant parts of it.
 .
 This package contains the files necessary for running applications that use
 the muParser library.

## muparser 2.3.3

=== CMakeLists.txt ===
# CMake based on work from @xantares
cmake_minimum_required (VERSION 3.1.0)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# By default, build in Release mode. Must appear before project() command
if (NOT DEFINED CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE Release CACHE STRING "Build type")
endif ()

project(muParserProject)

# Bump versions on release
set(MUPARSER_VERSION_MAJOR 2)
set(MUPARSER_VERSION_MINOR 3)
set(MUPARSER_VERSION_PATCH 3)
set(MUPARSER_VERSION ${MUPARSER_VERSION_MAJOR}.${MUPARSER_VERSION_MINOR}.${MUPARSER_VERSION_PATCH})

# Build options
option(ENABLE_SAMPLES "Build the samples" ON)
option(ENABLE_OPENMP "Enable OpenMP for multithreading" ON)
option(ENABLE_WIDE_CHAR "Enable wide character support" OFF)
option(BUILD_SHARED_LIBS "Build shared/static libs" ON)

if(ENABLE_OPENMP)
    find_package(OpenMP REQUIRED)
    set(CMAKE_CXX_FLAGS "${OpenMP_CXX_FLAGS} ${CMAKE_CXX_FLAGS}")
    set(CMAKE_SHARED_LIBRARY_CXX_FLAGS "${OpenMP_CXX_FLAGS} ${CMAKE_SHARED_LIBRARY_CXX_FLAGS}")
endif()

# Credit: https://stackoverflow.com/questions/2368811/how-to-set-warning-level-in-cmake/3818084
if(MSVC)
    # Force to always compile with W4
    if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
      string(REGEX REPLACE "/W[0-4]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
    else()
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
    endif()
elseif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
    # Update if necessary
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-long-long -pedantic")
endif()

FILE(GLOB_RECURSE MUPARSER_SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp") #all .cpp
add_library(muparser ${MUPARSER_SOURCES})

# Use the headers in the build-tree or the installed ones
target_include_directories(muparser PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>
)

# This compiles the "DLL" interface (C API)
target_compile_definitions(muparser PRIVATE MUPARSER_DLL)

if (BUILD_SHARED_LIBS)
  target_compile_definitions(muparser PRIVATE MUPARSERLIB_EXPORTS)
  add_definitions( -DMUPARSERLIB_EXPORTS )
else ()
  target_compile_definitions(muparser PUBLIC MUPARSER_STATIC)
  add_definitions( -DMUPARSER_STATIC )
endif()

if (CMAKE_BUILD_TYPE STREQUAL Debug)
  target_compile_definitions(muparser PRIVATE _DEBUG)
endif ()

if(ENABLE_OPENMP)
  target_compile_definitions(muparser PRIVATE MUP_USE_OPENMP)
endif()

if(ENABLE_WIDE_CHAR)
  target_compile_definitions(muparser PUBLIC _UNICODE)
endif()

set_target_properties(muparser PROPERTIES
    VERSION ${MUPARSER_VERSION}
    SOVERSION ${MUPARSER_VERSION_MAJOR}
)

if(ENABLE_SAMPLES)
  add_executable(example1 samples/example1/example1.cpp)
  target_link_libraries(example1 muparser)

  add_executable(example2 samples/example2/example2.c)
  target_link_libraries(example2 muparser)
endif()

# The GNUInstallDirs defines ${CMAKE_INSTALL_DATAROOTDIR}
# See https://cmake.org/cmake/help/latest/module/GNUInstallDirs.html
include (GNUInstallDirs)
set(INSTALL_CONFIGDIR ${CMAKE_INSTALL_LIBDIR}/cmake/muparser)

install(TARGETS muparser
    EXPORT muparser-export
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT RuntimeLibraries
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Development
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT RuntimeLibraries
)

FILE(GLOB_RECURSE MUPARSER_HEADERS "${CMAKE_CURRENT_SOURCE_DIR}/include/*.h") #all .h
install(FILES
    ${MUPARSER_HEADERS}
    DESTINATION include
    COMPONENT Development
)

# Export the target under the build-tree (no need to install)
export(EXPORT muparser-export
    FILE "${CMAKE_BINARY_DIR}/muparser-targets.cmake"
    NAMESPACE muparser::
)

# Export the installed target (typically for packaging)
include(CMakePackageConfigHelpers)
write_basic_package_version_file(
    "${CMAKE_CURRENT_BINARY_DIR}/muparserConfigVersion.cmake"
    VERSION ${MUPARSER_VERSION}
    COMPATIBILITY AnyNewerVersion
)
configure_file(muparserConfig.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/muparserConfig.cmake"
    COPYONLY
)
install(EXPORT muparser-export
    FILE muparser-targets.cmake
    NAMESPACE muparser::
    DESTINATION ${INSTALL_CONFIGDIR}
)
install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/muparserConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/muparserConfigVersion.cmake
    DESTINATION ${INSTALL_CONFIGDIR}
    COMPONENT Development
)

# Define variables for the pkg-config file
set(PACKAGE_NAME muparser)
configure_file(
    muparser.pc.in
    ${CMAKE_BINARY_DIR}/muparser.pc
    @ONLY
)
install(
    FILES ${CMAKE_BINARY_DIR}/muparser.pc
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)

include(CTest)

if (BUILD_TESTING)
    add_executable (t_ParserTest test/t_ParserTest.cpp)
    target_link_libraries(t_ParserTest muparser)
    add_test (NAME ParserTest COMMAND t_ParserTest)
endif()

=== samples/example3/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
project(muparser-example3)

# find muparser target already installed
find_package(muparser 2.0 REQUIRED)

add_executable(example3 example3.cpp)
target_link_libraries(example3 muparser::muparser)

include(CTest)
add_test(example3 example3)

=== debian/changelog ===
muparser (2.3.3-0.1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:54:14 +0200

muparser (2.3.3-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #1000714)
  * Drop patches - no longer needed with upstream move to cmake.
  * Update debian/watch and Homepage in debian/control.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 12 Mar 2022 14:13:16 -0800

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: muparser
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
            Scott Howard <showard@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 12~),
-               automake
+Build-Depends: cmake,
+               debhelper (>= 12~)
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/science-team/muparser
 Vcs-Git: https://salsa.debian.org/science-team/muparser.git
-Homepage: http://muparser.sourceforge.net
+Homepage: https://beltoforion.de/en/muparser/
 
 Package: libmuparser-dev
 Architecture: any

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/beltoforion/muparser/releases/latest .*/archive/refs/tags/v?@ANY_VERSION@@ARCHIVE_EXT@

## muparser 2.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 # Bump versions on release
 set(MUPARSER_VERSION_MAJOR 2)
 set(MUPARSER_VERSION_MINOR 3)
-set(MUPARSER_VERSION_PATCH 3)
+set(MUPARSER_VERSION_PATCH 4)
 set(MUPARSER_VERSION ${MUPARSER_VERSION_MAJOR}.${MUPARSER_VERSION_MINOR}.${MUPARSER_VERSION_PATCH})
 
 # Build options
@@ -24,8 +24,6 @@
 
 if(ENABLE_OPENMP)
     find_package(OpenMP REQUIRED)
-    set(CMAKE_CXX_FLAGS "${OpenMP_CXX_FLAGS} ${CMAKE_CXX_FLAGS}")
-    set(CMAKE_SHARED_LIBRARY_CXX_FLAGS "${OpenMP_CXX_FLAGS} ${CMAKE_SHARED_LIBRARY_CXX_FLAGS}")
 endif()
 
 # Credit: https://stackoverflow.com/questions/2368811/how-to-set-warning-level-in-cmake/3818084
@@ -67,6 +65,7 @@
 
 if(ENABLE_OPENMP)
   target_compile_definitions(muparser PRIVATE MUP_USE_OPENMP)
+  target_link_libraries(muparser PRIVATE OpenMP::OpenMP_CXX)
 endif()
 
 if(ENABLE_WIDE_CHAR)
@@ -110,6 +109,7 @@
     FILE "${CMAKE_BINARY_DIR}/muparser-targets.cmake"
     NAMESPACE muparser::
 )
+add_library(muparser::muparser ALIAS muparser)
 
 # Export the installed target (typically for packaging)
 include(CMakePackageConfigHelpers)
@@ -136,6 +136,9 @@
 
 # Define variables for the pkg-config file
 set(PACKAGE_NAME muparser)
+if(ENABLE_WIDE_CHAR)
+  set(PKG_CONFIG_FLAGS "-D_UNICODE")
+endif(ENABLE_WIDE_CHAR)
 configure_file(
     muparser.pc.in
     ${CMAKE_BINARY_DIR}/muparser.pc

=== debian/changelog ===
muparser (2.3.4-2) unstable; urgency=medium

  * Team upload.
  * Bump CMake policy minimum version (Closes: #1113303)

 -- Timo Röhling <roehling@debian.org>  Tue, 30 Sep 2025 18:17:18 +0200

muparser (2.3.4-1) unstable; urgency=medium

  [ Nicholas Breen ]
  * Team upload.
  * New upstream release.
  * Update debian/watch (again!) to use api.github.com.
  * Bump Standards-Version to 4.6.2, no changes required.

  [ Debian Janitor ]
  * Apply multi-arch hints.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 24 Mar 2024 15:09:12 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: muparser
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
            Scott Howard <showard@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: cmake,
                debhelper (>= 12~)
-Standards-Version: 4.3.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/muparser
 Vcs-Git: https://salsa.debian.org/science-team/muparser.git
 Homepage: https://beltoforion.de/en/muparser/
@@ -17,6 +16,7 @@
 Section: libdevel
 Depends: ${misc:Depends},
          libmuparser2v5 (= ${binary:Version})
+Multi-Arch: same
 Description: fast mathematical expressions parse library (development)
  muParser is a high performance mathematical parser library, written in pure
  C++. It is based on transforming an expression into a bytecode and

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

SAVE_FILES = configure


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_makeshlibs:
	#pkgkde-symbols helper is managing the symbols file.
	#Sometimes we'll FTBFS on other arch's toolchains that export or miss
	#symbols found by the local arch.
	dh_makeshlibs -- -c0

=== debian/watch ===
version=4

opts=searchmode=plain,\
filenamemangle=s~.+/([^/]+)/tarball/v(@ANY_VERSION@)~$1-$2.tar.gz~ \
  https://api.github.com/repos/beltoforion/muparser/releases https://api\.github\.com/repos/[^/]+/[^/]+/tarball/v([^"]+)
